Skip to content

Get Pipeline

GET
/api/v1/pipelines/{pipeline_id}
curl --request GET \
--url 'https://example.com/api/v1/pipelines/example?enrich_with_live_state=false'

Get a single pipeline with Nexa validation and optional live state enrichment.

pipeline_id
required
Pipeline Id
string
enrich_with_live_state
Enrich With Live State

Merge with Databricks live state (default uses cached DB state)

boolean

Merge with Databricks live state (default uses cached DB state)

X-Environment-Id
Any of:
string

Successful Response

Media typeapplication/json
PipelineResponse

Response model for a single pipeline - aligned with Databricks API.

object
pipeline_id
required
Pipeline Id

Unique identifier for the pipeline

string
name
required
Name

Name of the pipeline

string
state
Any of:
string
cluster_id
Any of:
string
creator_user_name
Any of:
string
nexa_managed
Nexa Managed
boolean
health
Any of:
PipelineHealthItem

Lightweight health info for list responses.

object
status
Status
string
default: UNKNOWN
last_update_state
Any of:
string
last_update_time
Any of:
Last Update Time
last_success_time
Any of:
Last Success Time
last_failure_time
Any of:
Last Failure Time
consecutive_failures
Consecutive Failures
integer
0
is_stale
Is Stale
boolean
longest_running_seconds
Any of:
integer
last_error_message
Any of:
string
spec
Any of:
object
key
additional properties
any
latest_updates
Any of:
Array<object>
object
key
additional properties
any
run_as_user_name
Any of:
string
key
additional properties
any
Example
{
"nexa_managed": false,
"health": {
"status": "UNKNOWN",
"consecutive_failures": 0,
"is_stale": false
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}